SDL_Point Struct Reference

The structure that defines a point. More...

`#include <SDL_rect.h>`

## Data Fields

int | x
int | y

## Detailed Description

The structure that defines a point.

See also
  SDL_EnclosePoints
  SDL_PointInRect

Definition at line 48 of file SDL_rect.h.

## Field Documentation

int SDL_Point::x

Definition at line 50 of file SDL_rect.h.

Referenced by hitTest(), rect_testEnclosePoints(), rect_testEnclosePointsRepeatedInput(), rect_testEnclosePointsWithClipping(), RenderDrawLinesWithRects(), RenderDrawPointsWithRects(), SDL_BlendLines(), SDL_BlendPoints(), SDL_DrawLines(), SDL_DrawPoints(), SDL_EnclosePoints(), SDL_GetWindowDisplayIndex(), SDL_PointInRect(), SDL_RenderCopyEx(), SDL_RenderDrawLine(), SDL_RenderDrawLines(), SDL_RenderDrawPoint(), SDL_RenderDrawPoints(), SDL_RenderDrawRect(), SW_RenderDrawLines(), and SW_RenderDrawPoints().

int SDL_Point::y

Definition at line 51 of file SDL_rect.h.

Referenced by hitTest(), rect_testEnclosePoints(), rect_testEnclosePointsRepeatedInput(), rect_testEnclosePointsWithClipping(), RenderDrawLinesWithRects(), RenderDrawPointsWithRects(), SDL_BlendLines(), SDL_BlendPoints(), SDL_DrawLines(), SDL_DrawPoints(), SDL_EnclosePoints(), SDL_GetWindowDisplayIndex(), SDL_PointInRect(), SDL_RenderCopyEx(), SDL_RenderDrawLine(), SDL_RenderDrawLines(), SDL_RenderDrawPoint(), SDL_RenderDrawPoints(), SDL_RenderDrawRect(), SW_RenderDrawLines(), and SW_RenderDrawPoints().

The documentation for this struct was generated from the following file:

- include/SDL_rect.h